Bug 212500 - The Xen is in panic when specifying "maxmem =" in domVTI-config.
The Xen is in panic when specifying "maxmem =" in domVTI-config.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Rostedt
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 21:52 EDT by yoshiro fujita
Modified: 2008-02-26 18:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:34:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
XenSource 800 None None None Never

  None (edit)
Description yoshiro fujita 2006-10-26 21:52:09 EDT
Description of problem:
The Xen kept outputting a trace log when specifying "maxmem = " in domVTI-
config.
( This problem did not happen when specifying same or less value of "memory 
= " for "memmax =".)

In domU's case, the following message was displayed.
# xm create -c domU-config
Using config file "./domU-config
Xend has probably crashed!  Invalid or missing HTTP status

I met same issue in the Xen-ia64-unstable.

My domVTI's config is the below.
---------------------------------------------------------------------------
kernel = "/boot/Flash.fd"
builder = "hvm"
memory = 256
maxmem = 1024
vcpus = 2
vif = [ 'type=ioemu, bridge=xenbr2' ]
name = "vm1"
disk = [ 'file:/xen/xen-test/image/rhel4_vti1.img,ioemu:hda,w' 
]
device_model = "/usr/lib/xen/bin/qemu-dm"
memmap = "/usr/lib/xen/boot/mem-map.sxp"
sdl = 0
vnc = 0
vncviewer = 0
nographic = 1
serial = "pty"
---------------------------------------------------------------------------

Version-Release number of selected component (if applicable):
xen-3.0.2-44
kernel-xen-2.6.18-1.2784.fc6

How reproducible:
Always

Steps to Reproduce:
1. create VTI-domain with maxmem = value (not same as memory =).
2.
3.
  
Actual results:
Xen is in panic.

Expected results:
domVTI normaly start without Xen panic.

Additional info:
Comment 1 Akio Takebe 2006-11-06 05:23:48 EST
I fix this issue.
http://xenbits.xensource.com/ext/xen-ia64-unstable.hg?cs=1eb880e9ff94
Comment 3 Matthew Miller 2007-04-06 12:03:08 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 Red Hat Bugzilla 2007-07-24 20:01:23 EDT
change QA contact
Comment 5 Chris Lalancette 2008-02-26 18:34:54 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.